--------------------------------------------------
-- STRS IR Maverick Page
--------------------------------------------------
local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/STRS/"
dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- Common Elements
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")
dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(mpcd_path.."STRS_WPN_LST.lua")

--Alignment Structure
--local mpcd_align	= create_mpcd_textured_box( 0, 0, 1024, 1024, nil, nil, 0)
--mpcd_align.name		= "mpcd_align"
--mpcd_align.init_pos	= {0, 0, 0}
--Add_MPCD_Element(mpcd_align)

-- SYMBOLS
local	strs_wing_form			= create_mpcd_textured_box( 231, 0, 1022, 379, nil, nil, 11)
		strs_wing_form.name		= "strs_wing_form"
		strs_wing_form.init_pos	= {0, 0.25, 0}
Add_MPCD_Element(strs_wing_form)

-- AAM shapes
local	aim_9_l_1_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_l_1_icon.name			= "aim_9_l_1_icon"
		aim_9_l_1_icon.init_pos		= {-0.85, -0.30, 0}
		aim_9_l_1_icon.controllers	= {{"strs_sta1_aim9"}}
Add_MPCD_Element(aim_9_l_1_icon)

local	aim_9_l_2_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_l_2_icon.name			= "aim_9_l_2_icon"
		aim_9_l_2_icon.init_pos		= {-0.60, -0.05, 0}
		aim_9_l_2_icon.controllers	= {{"strs_sta2_aim9"}}
Add_MPCD_Element(aim_9_l_2_icon)

local	aim_9_r_6_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_r_6_icon.name			= "aim_9_r_6_icon"
		aim_9_r_6_icon.init_pos		= {0.60, -0.05, 0}
		aim_9_r_6_icon.controllers	= {{"strs_sta6_aim9"}}
Add_MPCD_Element(aim_9_r_6_icon)

local	aim_9_r_7_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_r_7_icon.name			= "aim_9_r_7_icon"
		aim_9_r_7_icon.init_pos		= {0.85, -0.30, 0}
		aim_9_r_7_icon.controllers	= {{"strs_sta7_aim9"}}
Add_MPCD_Element(aim_9_r_7_icon)

-- Selected stations boxes
local	sta1_boxed					= create_mpcd_textured_box( 76, 509, 192, 575, nil, nil, 11)
		sta1_boxed.name				= "sta1_boxed"
		sta1_boxed.init_pos			= {-0.85, -0.20, 0}
		sta1_boxed.controllers		= {{"strs_sta1_sel"}}
Add_MPCD_Element(sta1_boxed)

local	sta1_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta1_priority.name			= "sta1_priority"
		sta1_priority.init_pos		= {-0.90, -0.10, 0}
		sta1_priority.controllers	= {{"strs_sta1_priority"}}
Add_MPCD_Element(sta1_priority)

local	sta2_boxed					= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta2_boxed.name				= "sta2_boxed"
		sta2_boxed.init_pos			= {-0.60, 0.05, 0}
		sta2_boxed.controllers		= {{"strs_sta2_sel"}}
Add_MPCD_Element(sta2_boxed)

local	sta2_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta2_priority.name			= "sta2_priority"
		sta2_priority.init_pos		= {-0.70, 0.15, 0}
		sta2_priority.controllers	= {{"strs_sta2_priority"}}
Add_MPCD_Element(sta2_priority)

local	sta3_boxed					= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta3_boxed.name				= "sta3_boxed"
		sta3_boxed.init_pos			= {-0.35, 0.30, 0}
		sta3_boxed.controllers		= {{"strs_sta3_sel"}}
Add_MPCD_Element(sta3_boxed)

local	sta3_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta3_priority.name			= "sta3_priority"
		sta3_priority.init_pos		= {-0.45, 0.40, 0}
		sta3_priority.controllers	= {{"strs_sta3_priority"}}
Add_MPCD_Element(sta3_priority)

local	sta5_boxed					= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta5_boxed.name				= "sta5_boxed"
		sta5_boxed.init_pos			= {0.35, 0.30, 0}
		sta5_boxed.controllers		= {{"strs_sta5_sel"}}
Add_MPCD_Element(sta5_boxed)

local	sta5_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta5_priority.name			= "sta5_priority"
		sta5_priority.init_pos		= {0.45, 0.40, 0}
		sta5_priority.controllers	= {{"strs_sta5_priority"}}
Add_MPCD_Element(sta5_priority)

local	sta6_boxed					= create_mpcd_textured_box( 76, 435, 241, 503, nil, nil, 11)
		sta6_boxed.name				= "sta6_boxed"
		sta6_boxed.init_pos			= {0.60, 0.05, 0}
		sta6_boxed.controllers		= {{"strs_sta6_sel"}}
Add_MPCD_Element(sta6_boxed)

local	sta6_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta6_priority.name			= "sta6_priority"
		sta6_priority.init_pos		= {0.70, 0.15, 0}
		sta6_priority.controllers	= {{"strs_sta6_priority"}}
Add_MPCD_Element(sta6_priority)

local	sta7_boxed					= create_mpcd_textured_box( 76, 509, 192, 575, nil, nil, 11)
		sta7_boxed.name				= "sta7_boxed"
		sta7_boxed.init_pos			= {0.85, -0.20, 0}
		sta7_boxed.controllers		= {{"strs_sta7_sel"}}
Add_MPCD_Element(sta7_boxed)

local	sta7_priority				= create_mpcd_textured_box( 75, 396, 112, 432, nil, nil, 11)
		sta7_priority.name			= "sta7_priority"
		sta7_priority.init_pos		= {0.90, -0.10, 0}
		sta7_priority.controllers	= {{"strs_sta7_priority"}}
Add_MPCD_Element(sta7_priority)

-- INDICATORS
-- Weapons Status
local	wpn1_status				= CreateElement "ceStringPoly"
		wpn1_status.name		= "wpn1_status"
		wpn1_status.material	= mpcd_font_base
		wpn1_status.init_pos	= { -0.65,  0.80, 0}
		wpn1_status.alignment	= "CenterCenter"
		wpn1_status.value		= "WPN FAIL"
		wpn1_status.stringdefs	= MPCD_data2_font_size
		wpn1_status.controllers	= {{"strs_wpn_1a_fail"}}
Add_MPCD_Element(wpn1_status)

local	gun_status				= CreateElement "ceStringPoly"
		gun_status.name			= "gun_status"
		gun_status.material		= mpcd_font_base
		gun_status.init_pos		= { 0.65,  0.80, 0}
		gun_status.alignment	= "CenterCenter"
		gun_status.value		= "NOT CLEAR"
		gun_status.stringdefs	= MPCD_data2_font_size
		gun_status.controllers	= {{"strs_wpn_gun_fail"}}
Add_MPCD_Element(gun_status)

local	safe_arm_indicator				= CreateElement "ceStringPoly"
		safe_arm_indicator.name			= "safe_arm_indicator"
		safe_arm_indicator.material		= mpcd_font_base
		safe_arm_indicator.init_pos		= { -0.80,  0.70, 0}
		safe_arm_indicator.alignment	= "LeftCenter"
		safe_arm_indicator.formats		= {"%s"}
		safe_arm_indicator.stringdefs	= MPCD_large_font_size
		safe_arm_indicator.controllers	= {{"strs_master_arm"}}
Add_MPCD_Element(safe_arm_indicator)

local	gun_ammo_count				= CreateElement "ceStringPoly"
		gun_ammo_count.name			= "gun_ammo_count"
		gun_ammo_count.material		= mpcd_font_base
		gun_ammo_count.init_pos		= { 0, 0.55, 0}
		gun_ammo_count.alignment	= "CenterCenter"
		gun_ammo_count.formats		= {"%d"}
		gun_ammo_count.stringdefs	= MPCD_large_font_size
		gun_ammo_count.controllers	= {{"strs_gun_ammo"}}
Add_MPCD_Element(gun_ammo_count)

-- LOADOUT CODES
-- Pods
local	Pod_Code				= CreateElement "ceStringPoly"
		Pod_Code.name			= "Pod_Code"
		Pod_Code.material		= mpcd_font_base
		Pod_Code.init_pos		= { 0, 0.45, 0}
		Pod_Code.alignment		= "CenterCenter"
		Pod_Code.formats		= {"%s"}
		Pod_Code.stringdefs		= MPCD_data1_font_size
		Pod_Code.controllers	= {{"strs_sta4_code"}}
Add_MPCD_Element(Pod_Code)

-- Weapons Codes
local aim_9_l_1_code		= CreateElement "ceStringPoly"
aim_9_l_1_code.name			= "aim_9_l_1_code"
aim_9_l_1_code.material		= mpcd_font_base
aim_9_l_1_code.init_pos		= { -0.85, -0.50, 0}
aim_9_l_1_code.alignment	= "CenterCenter"
aim_9_l_1_code.value		= "9M"
aim_9_l_1_code.stringdefs	= MPCD_data1_font_size
aim_9_l_1_code.controllers	= {{"strs_sta1_aim9"}}
Add_MPCD_Element(aim_9_l_1_code)

local aim_9_l_2_code		= CreateElement "ceStringPoly"
aim_9_l_2_code.name			= "aim_9_l_2_code"
aim_9_l_2_code.material		= mpcd_font_base
aim_9_l_2_code.init_pos		= { -0.60, -0.25, 0}
aim_9_l_2_code.alignment	= "CenterCenter"
aim_9_l_2_code.value		= "9M"
aim_9_l_2_code.stringdefs	= MPCD_data1_font_size
aim_9_l_2_code.controllers	= {{"strs_sta2_aim9"}}
Add_MPCD_Element(aim_9_l_2_code)

local aim_9_r_6_code		= CreateElement "ceStringPoly"
aim_9_r_6_code.name			= "aim_9_r_6_code"
aim_9_r_6_code.material		= mpcd_font_base
aim_9_r_6_code.init_pos		= { 0.60, -0.25, 0}
aim_9_r_6_code.alignment	= "CenterCenter"
aim_9_r_6_code.value		= "9M"
aim_9_r_6_code.stringdefs	= MPCD_data1_font_size
aim_9_r_6_code.controllers	= {{"strs_sta6_aim9"}}
Add_MPCD_Element(aim_9_r_6_code)

local aim_9_r_7_code		= CreateElement "ceStringPoly"
aim_9_r_7_code.name			= "aim_9_r_7_code"
aim_9_r_7_code.material		= mpcd_font_base
aim_9_r_7_code.init_pos		= { 0.85, -0.50, 0}
aim_9_r_7_code.alignment	= "CenterCenter"
aim_9_r_7_code.value		= "9M"
aim_9_r_7_code.stringdefs	= MPCD_data1_font_size
aim_9_r_7_code.controllers	= {{"strs_sta7_aim9"}}
Add_MPCD_Element(aim_9_r_7_code)

local sta1_wp_code			= CreateElement "ceStringPoly"
sta1_wp_code.name			= "sta1_wp_code"
sta1_wp_code.material		= mpcd_font_base
sta1_wp_code.init_pos		= { -0.85, -0.20, 0}
sta1_wp_code.alignment		= "CenterCenter"
sta1_wp_code.formats		= {"%s"}
sta1_wp_code.stringdefs		= MPCD_data1_font_size
sta1_wp_code.controllers	= {{"strs_sta1_code"}}
Add_MPCD_Element(sta1_wp_code)

local sta2_wp_s_code		= CreateElement "ceStringPoly"
sta2_wp_s_code.name			= "sta2_wp_s_code"
sta2_wp_s_code.material		= mpcd_font_base
sta2_wp_s_code.init_pos		= { -0.60, 0.05, 0}
sta2_wp_s_code.alignment	= "CenterCenter"
sta2_wp_s_code.formats		= {"%s"}
sta2_wp_s_code.stringdefs	= MPCD_data1_font_size
sta2_wp_s_code.controllers	= {{"strs_sta2_code_s"}}
Add_MPCD_Element(sta2_wp_s_code)

local sta2_wp_m_code		= CreateElement "ceStringPoly"
sta2_wp_m_code.name			= "sta2_wp_m_code"
sta2_wp_m_code.material		= mpcd_font_base
sta2_wp_m_code.init_pos		= { -0.60, 0.05, 0}
sta2_wp_m_code.alignment	= "CenterCenter"
sta2_wp_m_code.formats		= {"%d %s"}
sta2_wp_m_code.stringdefs	= MPCD_data1_font_size
sta2_wp_m_code.controllers	= {{"strs_sta2_code_m"}}
Add_MPCD_Element(sta2_wp_m_code)

local sta3_wp_s_code		= CreateElement "ceStringPoly"
sta3_wp_s_code.name			= "sta3_wp_s_code"
sta3_wp_s_code.material		= mpcd_font_base
sta3_wp_s_code.init_pos		= { -0.35, 0.30, 0}
sta3_wp_s_code.alignment	= "CenterCenter"
sta3_wp_s_code.formats		= {"%s"}
sta3_wp_s_code.stringdefs	= MPCD_data1_font_size
sta3_wp_s_code.controllers	= {{"strs_sta3_code_s"}}
Add_MPCD_Element(sta3_wp_s_code)

local sta3_wp_m_code		= CreateElement "ceStringPoly"
sta3_wp_m_code.name			= "sta3_wp_m_code"
sta3_wp_m_code.material		= mpcd_font_base
sta3_wp_m_code.init_pos		= { -0.35, 0.30, 0}
sta3_wp_m_code.alignment	= "CenterCenter"
sta3_wp_m_code.formats		= {"%d %s"}
sta3_wp_m_code.stringdefs	= MPCD_data1_font_size
sta3_wp_m_code.controllers	= {{"strs_sta3_code_m"}}
Add_MPCD_Element(sta3_wp_m_code)

local sta5_wp_s_code		= CreateElement "ceStringPoly"
sta5_wp_s_code.name			= "sta5_wp_s_code"
sta5_wp_s_code.material		= mpcd_font_base
sta5_wp_s_code.init_pos		= { 0.35, 0.30, 0}
sta5_wp_s_code.alignment	= "CenterCenter"
sta5_wp_s_code.formats		= {"%s"}
sta5_wp_s_code.stringdefs	= MPCD_data1_font_size
sta5_wp_s_code.controllers	= {{"strs_sta5_code_s"}}
Add_MPCD_Element(sta5_wp_s_code)

local sta5_wp_m_code		= CreateElement "ceStringPoly"
sta5_wp_m_code.name			= "sta5_wp_m_code"
sta5_wp_m_code.material		= mpcd_font_base
sta5_wp_m_code.init_pos		= { 0.35, 0.30, 0}
sta5_wp_m_code.alignment	= "CenterCenter"
sta5_wp_m_code.formats		= {"%d %s"}
sta5_wp_m_code.stringdefs	= MPCD_data1_font_size
sta5_wp_m_code.controllers	= {{"strs_sta5_code_m"}}
Add_MPCD_Element(sta5_wp_m_code)

local sta6_wp_s_code		= CreateElement "ceStringPoly"
sta6_wp_s_code.name			= "sta6_wp_s_code"
sta6_wp_s_code.material		= mpcd_font_base
sta6_wp_s_code.init_pos		= { 0.60, 0.05, 0}
sta6_wp_s_code.alignment	= "CenterCenter"
sta6_wp_s_code.formats		= {"%s"}
sta6_wp_s_code.stringdefs	= MPCD_data1_font_size
sta6_wp_s_code.controllers	= {{"strs_sta6_code_s"}}
Add_MPCD_Element(sta6_wp_s_code)

local sta6_wp_m_code		= CreateElement "ceStringPoly"
sta6_wp_m_code.name			= "sta6_wp_m_code"
sta6_wp_m_code.material		= mpcd_font_base
sta6_wp_m_code.init_pos		= { 0.60, 0.05, 0}
sta6_wp_m_code.alignment	= "CenterCenter"
sta6_wp_m_code.formats		= {"%d %s"}
sta6_wp_m_code.stringdefs	= MPCD_data1_font_size
sta6_wp_m_code.controllers	= {{"strs_sta6_code_m"}}
Add_MPCD_Element(sta6_wp_m_code)

local sta7_wp_code			= CreateElement "ceStringPoly"
sta7_wp_code.name			= "sta7_wp_code"
sta7_wp_code.material		= mpcd_font_base
sta7_wp_code.init_pos		= { 0.85, -0.20, 0}
sta7_wp_code.alignment		= "CenterCenter"
sta7_wp_code.formats		= {"%s"}
sta7_wp_code.stringdefs		= MPCD_data1_font_size
sta7_wp_code.controllers	= {{"strs_sta7_code"}}
Add_MPCD_Element(sta7_wp_code)

-- Page Menu
local	mpcd_mm_btn_02				= CreateElement "ceStringPoly"
		mpcd_mm_btn_02.name			= "mpcd_mm_btn_02"
		mpcd_mm_btn_02.material		= mpcd_font_base
		mpcd_mm_btn_02.init_pos		= mpcd_btn_02_pos
		mpcd_mm_btn_02.alignment	= "CenterCenter"
		mpcd_mm_btn_02.value		= "C\nO\nO\nL"
		mpcd_mm_btn_02.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_02.controllers	= {{"strs_cool_btn"}}
Add_MPCD_Element(mpcd_mm_btn_02)

local	mpcd_mm_btn_04				= CreateElement "ceStringPoly"
		mpcd_mm_btn_04.name			= "mpcd_mm_btn_04"
		mpcd_mm_btn_04.material		= mpcd_font_base
		mpcd_mm_btn_04.init_pos		= mpcd_btn_04_pos
		mpcd_mm_btn_04.alignment	= "CenterCenter"
		mpcd_mm_btn_04.value		= "W\nR\nD"
		mpcd_mm_btn_04.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_04)

local	mpcd_mm_btn_11				= CreateElement "ceStringPoly"
		mpcd_mm_btn_11.name			= "mpcd_mm_btn_11"
		mpcd_mm_btn_11.material		= mpcd_font_base
		mpcd_mm_btn_11.init_pos		= mpcd_btn_11_pos
		mpcd_mm_btn_11.alignment	= "CenterCenter"
		mpcd_mm_btn_11.value		= "S\nI\nT\nE"
		mpcd_mm_btn_11.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_11)

local	mpcd_mm_btn_12				= CreateElement "ceStringPoly"
		mpcd_mm_btn_12.name			= "mpcd_mm_btn_12"
		mpcd_mm_btn_12.material		= mpcd_font_base
		mpcd_mm_btn_12.init_pos		= mpcd_btn_12_pos
		mpcd_mm_btn_12.alignment	= "CenterCenter"
		mpcd_mm_btn_12.value		= "L\nO\nF\nT"
		mpcd_mm_btn_12.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_12)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_font_base
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "S\nT\nE\nP"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_font_base
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "E\nC\nM"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local	mpcd_mm_btn_16				= CreateElement "ceStringPoly"
		mpcd_mm_btn_16.name			= "mpcd_mm_btn_16"
		mpcd_mm_btn_16.material		= mpcd_font_base
		mpcd_mm_btn_16.init_pos		= mpcd_btn_16_pos
		mpcd_mm_btn_16.alignment	= "CenterCenter"
		mpcd_mm_btn_16.value		= "POS/ING"
		mpcd_mm_btn_16.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_16)

local	mpcd_mm_btn_17				= CreateElement "ceStringPoly"
		mpcd_mm_btn_17.name			= "mpcd_mm_btn_17"
		mpcd_mm_btn_17.material		= mpcd_font_base
		mpcd_mm_btn_17.init_pos		= mpcd_btn_17_pos
		mpcd_mm_btn_17.alignment	= "CenterCenter"
		mpcd_mm_btn_17.value		= "ABST"
		mpcd_mm_btn_17.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_17)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_font_base
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "TONE"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

--
local	TONE_selection				= create_mpcd_textured_box( 60, 4, 175, 50)
		TONE_selection.name			= "TRNG_selection"
		TONE_selection.init_pos		= mpcd_btn_20_pos
		TONE_selection.controllers	= {{"STRS_TONE_selection"}}
Add_MPCD_VIDEO_Element(TONE_selection)

-- GBU STATUS
local	selected_station				= CreateElement "ceStringPoly"
		selected_station.name			= "selected_station"
		selected_station.material		= mpcd_font_base
		selected_station.init_pos		= {-0.65, -0.67, 0}
		selected_station.alignment		= "CenterCenter"
		selected_station.formats		= {"STA %d"}
		selected_station.stringdefs		= MPCD_default_font_size
		selected_station.controllers	= {{"jdam_rdy_station"}}
Add_MPCD_Element(selected_station)

local	missile_status				= CreateElement "ceStringPoly"
		missile_status.name			= "missile_status"
		missile_status.material		= mpcd_font_base
		missile_status.init_pos		= {-0.65, -0.77, 0}
		missile_status.alignment	= "CenterCenter"
		missile_status.formats		= {"%s"}
		missile_status.stringdefs	= MPCD_default_font_size
		missile_status.controllers	= {{"jdam_rdy_status"}}
Add_MPCD_Element(missile_status)

-- WEAPONS PROGRAMING
local	jdam_aln_sts_lbl				= CreateElement "ceStringPoly"
		jdam_aln_sts_lbl.name			= "jdam_aln_sts_lbl"
		jdam_aln_sts_lbl.material		= mpcd_font_base
		jdam_aln_sts_lbl.init_pos		= {0.0, -0.30, 0}
		jdam_aln_sts_lbl.alignment		= "CenterCenter"
		jdam_aln_sts_lbl.value			= "ALN QUAL 00 GOOD"
		jdam_aln_sts_lbl.stringdefs		= MPCD_data1_font_size
Add_MPCD_Element(jdam_aln_sts_lbl)


-- All Weapons
local	wpn_prog_ln1_col_1				= CreateElement "ceStringPoly"
		wpn_prog_ln1_col_1.name			= "wpn_prog_ln1_col_1"
		wpn_prog_ln1_col_1.material		= mpcd_font_base
		wpn_prog_ln1_col_1.init_pos		= {-0.60, -0.40, 0}
		wpn_prog_ln1_col_1.alignment	= "LeftCenter"
		wpn_prog_ln1_col_1.value		= "MODE"
		wpn_prog_ln1_col_1.stringdefs	= MPCD_data1_font_size
		wpn_prog_ln1_col_1.controllers	= {{"acp_active"}}
Add_MPCD_Element(wpn_prog_ln1_col_1)

local	wpn_prog_ln1_col_2				= CreateElement "ceStringPoly"
		wpn_prog_ln1_col_2.name			= "wpn_prog_ln1_col_2"
		wpn_prog_ln1_col_2.material		= mpcd_font_base
		wpn_prog_ln1_col_2.init_pos		= {0.0, -0.40, 0}
		wpn_prog_ln1_col_2.alignment	= "RightCenter"
		wpn_prog_ln1_col_2.formats		= {"%s"}
		wpn_prog_ln1_col_2.stringdefs	= MPCD_data1_font_size
		wpn_prog_ln1_col_2.controllers	= {{"acp_active"}, {"acp_armt_mode"}}
Add_MPCD_Element(wpn_prog_ln1_col_2)

local	wpn_prog_ln1_col_3				= CreateElement "ceStringPoly"
		wpn_prog_ln1_col_3.name			= "wpn_prog_ln1_col_3"
		wpn_prog_ln1_col_3.material		= mpcd_font_base
		wpn_prog_ln1_col_3.init_pos		= {0.20, -0.40, 0}
		wpn_prog_ln1_col_3.alignment	= "LeftCenter"
		wpn_prog_ln1_col_3.value		= "QTY"
		wpn_prog_ln1_col_3.stringdefs	= MPCD_data1_font_size
		wpn_prog_ln1_col_3.controllers	= {{"acp_has_qty"}}
Add_MPCD_Element(wpn_prog_ln1_col_3)

local	wpn_prog_ln1_col_4				= CreateElement "ceStringPoly"
		wpn_prog_ln1_col_4.name			= "wpn_prog_ln1_col_4"
		wpn_prog_ln1_col_4.material		= mpcd_font_base
		wpn_prog_ln1_col_4.init_pos		= {0.60, -0.40, 0}
		wpn_prog_ln1_col_4.alignment	= "RightCenter"
		wpn_prog_ln1_col_4.formats		= {"%d"}
		wpn_prog_ln1_col_4.stringdefs	= MPCD_data1_font_size
		wpn_prog_ln1_col_4.controllers	= {{"acp_has_qty"}, {"acp_rel_qty"}}
Add_MPCD_Element(wpn_prog_ln1_col_4)

local	wpn_prog_ln2_col_1				= CreateElement "ceStringPoly"
		wpn_prog_ln2_col_1.name			= "wpn_prog_ln2_col_1"
		wpn_prog_ln2_col_1.material		= mpcd_font_base
		wpn_prog_ln2_col_1.init_pos		= {-0.60, -0.50, 0}
		wpn_prog_ln2_col_1.alignment	= "LeftCenter"
		wpn_prog_ln2_col_1.value		= "FUZE"
		wpn_prog_ln2_col_1.stringdefs	= MPCD_data1_font_size
		wpn_prog_ln2_col_1.controllers	= {{"acp_has_fuze"}}
Add_MPCD_Element(wpn_prog_ln2_col_1)

local	wpn_prog_ln2_col_2				= CreateElement "ceStringPoly"
		wpn_prog_ln2_col_2.name			= "wpn_prog_ln2_col_2"
		wpn_prog_ln2_col_2.material		= mpcd_font_base
		wpn_prog_ln2_col_2.init_pos		= {0.0, -0.50, 0}
		wpn_prog_ln2_col_2.alignment	= "RightCenter"
		wpn_prog_ln2_col_2.formats		= {"%s"}
		wpn_prog_ln2_col_2.stringdefs	= MPCD_data1_font_size
		wpn_prog_ln2_col_2.controllers	= {{"acp_has_fuze"}, {"acp_armt_fuze"}}
Add_MPCD_Element(wpn_prog_ln2_col_2)